import sharp from "sharp";
import { WebpackPluginInstance, Compiler, Compilation } from "webpack";
import { ImageTransformConfig, ImageTransformOption, ImageTransformOutput, ImageTransformPlugin } from "image-transform-plugin";
import { WebpackLogger } from "./logger";
declare class ImageTransformWebpackPlugin extends ImageTransformPlugin implements WebpackPluginInstance {
    webpackContext: string;
    webpackLogger: WebpackLogger;
    compiler: Compiler;
    compilation: Compilation;
    constructor(configs: ImageTransformConfig | ImageTransformConfig[], option?: ImageTransformOption);
    getContext(): string;
    getLogger(): WebpackLogger;
    /**
     * 仅用于webpack plugin自调用
     * @param complier
     */
    apply(compiler: Compiler): void;
    store(sharpData: sharp.Sharp, output: ImageTransformOutput, config: ImageTransformConfig): Promise<boolean>;
}
export { ImageTransformWebpackPlugin };
